Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxws.atomikos
Class SOAPExportingTransactionManagerImp

    java.lang.Object
      com.atomikos.icatch.jaxws.atomikos.SOAPExportingTransactionManagerImp

All Implemented Interfaces:
  SOAPExportingTransactionManager

    public class SOAPExportingTransactionManagerImp

extends Object
implements SOAPExportingTransactionManager

A helper class to export a transaction via SOAP. The application can construct an instance of this class to add the Atomikos propagation information of the current thread's transaction to an outgoing SOAP message, and to extract the remote transaction information for the response.

Constructor Summary
`SOAPExportingTransactionManagerImp()`

Method Summary
`void` | `extractExtent(javax.xml.soap.SOAPMessage msg)` Extract extent information from a returned SOAP message.
`void` | `insertPropagation(String tid, javax.xml.soap.SOAPMessage msg)` Insert a portable propagation into an outgoing SOAP message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPExportingTransactionManagerImp

    public SOAPExportingTransactionManagerImp()

Method Detail

### extractExtent

    public void extractExtent(javax.xml.soap.SOAPMessage msg)
                       throws javax.xml.soap.SOAPException,
                              RollbackException

  Description copied from interface: `SOAPExportingTransactionManager`
  Extract extent information from a returned SOAP message. This method returns nothing because the extraction process needs to do all the construction and addition of the remote participant proxies based on the returned URIs. This method does not need or establish any thread associations for the transaction in question.

  Specified by:
    `extractExtent` in interface `SOAPExportingTransactionManager`
  Parameters:
    `msg` - The message.
  Throws:
    `javax.xml.soap.SOAPException` - If the message could not be parsed.
    `RollbackException` - If the transaction referred to in the message has rolled back in the meantime.
  See Also:
    `SOAPExportingTransactionManager`

### insertPropagation

    public void insertPropagation(String tid,
                                  javax.xml.soap.SOAPMessage msg)
                           throws RollbackException,
                                  SysException,
                                  javax.xml.soap.SOAPException

  Description copied from interface: `SOAPExportingTransactionManager`
  Insert a portable propagation into an outgoing SOAP message. This method does not need or establish any thread associations for the transaction in question.

  Specified by:
    `insertPropagation` in interface `SOAPExportingTransactionManager`
  Parameters:
    `tid` - The identifier of the transaction for which to insert the propagation.
    `msg` - The outgoing message.
  Throws:
    `RollbackException` - If the transaction has rolled back due to timeout.
    `SysException`
    `javax.xml.soap.SOAPException`
  See Also:
    `SOAPExportingTransactionManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.